curl --request POST \
--url https://api.jtl-cloud.com/erp/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Categories": [
{
"CategoryId": 123
}
],
"Name": "Interdimensional goggles",
"SKU": "ART2394871",
"ManufacturerId": 123,
"ResponsiblePersonId": 123,
"Description": "These goggles are a must have product. Everyone needs them. Buy them.",
"ShortDescription": "The best goggles anyone can buy",
"Identifiers": {
"Gtin": "8896982295860",
"ManufacturerNumber": "75",
"ISBN": "978-3-86680-192-9",
"UPC": "889698229586",
"AmazonFnsku": "FN813S88A43",
"Asins": "B071GVGFQF",
"OwnIdentifier": "P446853"
},
"Components": [
{
"ItemId": 123,
"Quantity": 2,
"SortNumber": 1
}
],
"ItemPriceData": {
"SalesPriceNet": 125.21,
"SuggestedRetailPrice": 159.99,
"PurchasePriceNet": 99.73,
"EbayPrice": 149.99,
"AmazonPrice": 149.99
},
"ActiveSalesChannels": "",
"SortNumber": 0,
"Annotation": "Some additional internal info about the item",
"ReleasedOnDate": "2023-01-15T13:00:00.0000000+00:00",
"StorageOptions": {
"InventoryManagementActive": true,
"SplitQuantity": false,
"GlobalMinimumStockLevel": 15,
"Buffer": 5,
"SerialNumberItem": false,
"SerialNumberTracking": false,
"SubjectToShelfLifeExpirationDate": false,
"SubjectToBatchItem": false,
"ProcurementTime": 3,
"DetermineProcurementTimeAutomatically": false,
"AdditionalHandlingTime": 3
},
"CountryOfOrigin": "DE",
"ConditionId": 123,
"ShippingClassId": 123,
"ProductGroupId": 123,
"TaxClassId": 123,
"Dimensions": {
"Length": 10.5,
"Width": 5.8,
"Height": 3
},
"Weights": {
"ItemWeigth": 5,
"ShippingWeight": 5.5
},
"AllowNegativeStock": false,
"Quantities": {
"MinimumOrderQuantity": 0,
"MinimumPurchaseQuantityForCustomerGroup": [
{
"CustomerGroupId": 123,
"PermissibleOrderQuantity": 149.99,
"MinimumPurchaseQuantity": 1,
"IsActive": true
}
],
"PermissibleOrderQuantity": 0
},
"DangerousGoods": {
"UnNumber": "0070",
"HazardNo": "Class1 explosives"
},
"Taric": "61071100",
"SearchTerms": "goggles, magnification, lenses",
"PriceListActive": false,
"IgnoreDiscounts": false,
"AvailabilityId": 123
}
'import requests
url = "https://api.jtl-cloud.com/erp/items"
payload = {
"Categories": [{ "CategoryId": 123 }],
"Name": "Interdimensional goggles",
"SKU": "ART2394871",
"ManufacturerId": 123,
"ResponsiblePersonId": 123,
"Description": "These goggles are a must have product. Everyone needs them. Buy them.",
"ShortDescription": "The best goggles anyone can buy",
"Identifiers": {
"Gtin": "8896982295860",
"ManufacturerNumber": "75",
"ISBN": "978-3-86680-192-9",
"UPC": "889698229586",
"AmazonFnsku": "FN813S88A43",
"Asins": "B071GVGFQF",
"OwnIdentifier": "P446853"
},
"Components": [
{
"ItemId": 123,
"Quantity": 2,
"SortNumber": 1
}
],
"ItemPriceData": {
"SalesPriceNet": 125.21,
"SuggestedRetailPrice": 159.99,
"PurchasePriceNet": 99.73,
"EbayPrice": 149.99,
"AmazonPrice": 149.99
},
"ActiveSalesChannels": "",
"SortNumber": 0,
"Annotation": "Some additional internal info about the item",
"ReleasedOnDate": "2023-01-15T13:00:00.0000000+00:00",
"StorageOptions": {
"InventoryManagementActive": True,
"SplitQuantity": False,
"GlobalMinimumStockLevel": 15,
"Buffer": 5,
"SerialNumberItem": False,
"SerialNumberTracking": False,
"SubjectToShelfLifeExpirationDate": False,
"SubjectToBatchItem": False,
"ProcurementTime": 3,
"DetermineProcurementTimeAutomatically": False,
"AdditionalHandlingTime": 3
},
"CountryOfOrigin": "DE",
"ConditionId": 123,
"ShippingClassId": 123,
"ProductGroupId": 123,
"TaxClassId": 123,
"Dimensions": {
"Length": 10.5,
"Width": 5.8,
"Height": 3
},
"Weights": {
"ItemWeigth": 5,
"ShippingWeight": 5.5
},
"AllowNegativeStock": False,
"Quantities": {
"MinimumOrderQuantity": 0,
"MinimumPurchaseQuantityForCustomerGroup": [
{
"CustomerGroupId": 123,
"PermissibleOrderQuantity": 149.99,
"MinimumPurchaseQuantity": 1,
"IsActive": True
}
],
"PermissibleOrderQuantity": 0
},
"DangerousGoods": {
"UnNumber": "0070",
"HazardNo": "Class1 explosives"
},
"Taric": "61071100",
"SearchTerms": "goggles, magnification, lenses",
"PriceListActive": False,
"IgnoreDiscounts": False,
"AvailabilityId": 123
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Categories: [{CategoryId: 123}],
Name: 'Interdimensional goggles',
SKU: 'ART2394871',
ManufacturerId: 123,
ResponsiblePersonId: 123,
Description: 'These goggles are a must have product. Everyone needs them. Buy them.',
ShortDescription: 'The best goggles anyone can buy',
Identifiers: {
Gtin: '8896982295860',
ManufacturerNumber: '75',
ISBN: '978-3-86680-192-9',
UPC: '889698229586',
AmazonFnsku: 'FN813S88A43',
Asins: 'B071GVGFQF',
OwnIdentifier: 'P446853'
},
Components: [{ItemId: 123, Quantity: 2, SortNumber: 1}],
ItemPriceData: {
SalesPriceNet: 125.21,
SuggestedRetailPrice: 159.99,
PurchasePriceNet: 99.73,
EbayPrice: 149.99,
AmazonPrice: 149.99
},
ActiveSalesChannels: '',
SortNumber: 0,
Annotation: 'Some additional internal info about the item',
ReleasedOnDate: '2023-01-15T13:00:00.0000000+00:00',
StorageOptions: {
InventoryManagementActive: true,
SplitQuantity: false,
GlobalMinimumStockLevel: 15,
Buffer: 5,
SerialNumberItem: false,
SerialNumberTracking: false,
SubjectToShelfLifeExpirationDate: false,
SubjectToBatchItem: false,
ProcurementTime: 3,
DetermineProcurementTimeAutomatically: false,
AdditionalHandlingTime: 3
},
CountryOfOrigin: 'DE',
ConditionId: 123,
ShippingClassId: 123,
ProductGroupId: 123,
TaxClassId: 123,
Dimensions: {Length: 10.5, Width: 5.8, Height: 3},
Weights: {ItemWeigth: 5, ShippingWeight: 5.5},
AllowNegativeStock: false,
Quantities: {
MinimumOrderQuantity: 0,
MinimumPurchaseQuantityForCustomerGroup: [
{
CustomerGroupId: 123,
PermissibleOrderQuantity: 149.99,
MinimumPurchaseQuantity: 1,
IsActive: true
}
],
PermissibleOrderQuantity: 0
},
DangerousGoods: {UnNumber: '0070', HazardNo: 'Class1 explosives'},
Taric: '61071100',
SearchTerms: 'goggles, magnification, lenses',
PriceListActive: false,
IgnoreDiscounts: false,
AvailabilityId: 123
})
};
fetch('https://api.jtl-cloud.com/erp/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"SKU": "ART2394871",
"ManufacturerId": 123,
"ResponsiblePersonId": 123,
"IsActive": true,
"Categories": [
{
"CategoryId": 123,
"Name": "House and Garden"
}
],
"Name": "Interdimensional goggles",
"Description": "These goggles are a must have product. Everyone needs them. Buy them.",
"ShortDescription": "The best goggles anyone can buy",
"Identifiers": {
"Gtin": "8896982295860",
"ManufacturerNumber": "75",
"ISBN": "978-3-86680-192-9",
"UPC": "889698229586",
"AmazonFnsku": "FN813S88A43",
"Asins": "B071GVGFQF",
"OwnIdentifier": "P446853"
},
"Components": [
{
"ItemId": 123,
"Quantity": 2,
"SortNumber": 1
}
],
"ChildItems": "",
"ParentItemId": 123,
"ItemPriceData": {
"SalesPriceNet": 125.21,
"SuggestedRetailPrice": 159.99,
"PurchasePriceNet": 99.73,
"EbayPrice": 149.99,
"AmazonPrice": 149.99
},
"ActiveSalesChannels": "",
"SortNumber": 0,
"Annotation": "Some additional internal info about the item",
"Added": "2023-01-15T13:00:00.0000000+00:00",
"Changed": "2023-01-15T13:00:00.0000000+00:00",
"ReleasedOnDate": "2023-01-15T13:00:00.0000000+00:00",
"StorageOptions": {
"InventoryManagementActive": true,
"SplitQuantity": false,
"GlobalMinimumStockLevel": 15,
"Buffer": 5,
"SerialNumberItem": false,
"SerialNumberTracking": false,
"SubjectToShelfLifeExpirationDate": false,
"SubjectToBatchItem": false,
"ProcurementTime": 3,
"DetermineProcurementTimeAutomatically": false,
"AdditionalHandlingTime": 3
},
"CountryOfOrigin": "DE",
"ConditionId": 123,
"ShippingClassId": 123,
"ProductGroupId": 123,
"TaxClassId": 123,
"Dimensions": {
"Length": 10.5,
"Width": 5.8,
"Height": 3
},
"Weights": {
"ItemWeigth": 5,
"ShippingWeight": 5.5
},
"AllowNegativeStock": false,
"Quantities": {
"MinimumOrderQuantity": 0,
"MinimumPurchaseQuantityForCustomerGroup": [
{
"CustomerGroupId": 123,
"PermissibleOrderQuantity": 149.99,
"MinimumPurchaseQuantity": 1,
"IsActive": true
}
],
"PermissibleOrderQuantity": 0
},
"DangerousGoods": {
"UnNumber": "0070",
"HazardNo": "Class1 explosives"
},
"Taric": "61071100",
"SearchTerms": "goggles, magnification, lenses",
"PriceListActive": false,
"IgnoreDiscounts": false,
"AvailabilityId": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Create Item
Create a new item
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Query Parameters
If true, the workflows do not trigger automatic.
Body
The item to create.
Model Class: CreateItem
List of all the categories for the item.
Show child attributes
Show child attributes
Name of the item in the default language in JTL-Wawi.
2147483647"Interdimensional goggles"
"ART2394871"
"These goggles are a must have product. Everyone needs them. Buy them."
"The best goggles anyone can buy"
Model Class: CreateItemIdentifiers
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Model Class: CreateItemPrice
Show child attributes
Show child attributes
""
0
"Some additional internal info about the item"
"2023-01-15T13:00:00.0000000+00:00"
Model Class: CreateItemStorageOption
Show child attributes
Show child attributes
"DE"
Model Class: CreateDimensions
Show child attributes
Show child attributes
Model Class: CreateItemWeights
Show child attributes
Show child attributes
false
Model Class: CreateItemQuantities
Show child attributes
Show child attributes
Model Class: CreateItemDangerousGoods
Show child attributes
Show child attributes
"61071100"
"goggles, magnification, lenses"
false
false
Response
The created item.
Model Class: Item
Item SKU. If no SKU is given when posting an item, the SKU will be generated automatically.
"ART2394871"
Indicates if the item is active.
true
List of all the categories for the item.
Show child attributes
Show child attributes
Name of the item in the default language in JTL-Wawi.
"Interdimensional goggles"
Full textdescription for the item
"These goggles are a must have product. Everyone needs them. Buy them."
Short description of the item in the default language in JTL-Wawi.
"The best goggles anyone can buy"
Model Class: ItemIdentifiers
Show child attributes
Show child attributes
Components for the item if the item is a bill of material.
Show child attributes
Show child attributes
IDs of the child items, if the item is a parent item.
""
Model Class: ItemPrice
Show child attributes
Show child attributes
The list of active sales channels of the item. Only online shops and JTL-POS are permitted. Sales channels that are removed from this list will be deactivated for this item.
""
The sort number of the item, used in some sales channels for ordering items.
0
The item annotation.
"Some additional internal info about the item"
Date when the item was added to the system.
"2023-01-15T13:00:00.0000000+00:00"
Date of the last change made to the item. Only item data changes are relevant for this field, not changes in stock.
"2023-01-15T13:00:00.0000000+00:00"
The date when the item was put up for sale.
"2023-01-15T13:00:00.0000000+00:00"
Model Class: ItemStorageOption
Show child attributes
Show child attributes
The country of origin of the item.
"DE"
Model Class: Dimensions
Show child attributes
Show child attributes
Model Class: ItemWeights
Show child attributes
Show child attributes
This option allows you to sell a higher quantity of the item than is actually in stock.
false
Model Class: ItemQuantities
Show child attributes
Show child attributes
Model Class: ItemDangerousGoods
Show child attributes
Show child attributes
Taric code of the item.
"61071100"
Search terms for the item.
"goggles, magnification, lenses"
Indicates if the item is in the price list.
false
Indicates if discounts are to be disregarded.
false
Was this page helpful?